# $Revision: 1.11 $, $Date: 2012/01/28 21:25:51 $
%define		source_name gmpc-magnatune
Summary:	Magnatune.com browser for Gnome Music Player Client
Summary(pl.UTF-8):	Przeglądarka magnatune.com dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-magnatune-browser
Version:	11.8.16
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	ba39f32c87710055bd103090e479e5ae
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_MAGNATUNE
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.16
BuildRequires:	gmpc-devel >= 0.19.0
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	intltool >= 0.21
BuildRequires:	libmpd-devel >= 0.20.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Magnatune.com browser for Gnome Music Player Client.

%description -l pl.UTF-8
Przeglądarka magnatune.com dla odtwarzacza Gnome Music Player Client.

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so
%{_datadir}/gmpc/plugins/magnatune

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-magnatune-browser.spec,v $
Revision 1.11  2012/01/28 21:25:51  glen
- up to 11.8.16

Revision 1.10  2011/01/28 01:55:52  sparky
- BR: gettext-devel

Revision 1.9  2010/09/12 17:17:09  wiget
- 0.20.0

Revision 1.8  2009/10/04 15:09:11  wiget
- updated to 0.19.0

Revision 1.7  2009/09/13 16:11:32  wiget
- updated to 0.18.100

Revision 1.6  2009/03/28 17:34:20  wiget
- updated to 0.18.0

Revision 1.5  2008/12/28 22:19:19  wiget
- 0.17.0

Revision 1.4  2008/02/04 10:46:02  czarny
- up to 0.15.5.0

Revision 1.3  2007-05-20 21:52:11  wiget
- updated to 0.15.0

Revision 1.2  2007/04/16 14:54:16  qboosh
- missing rcs tags, typo, BR: pkgconfig

